### 5.1.64 interred

`Syntax:`
  `interred (` ideal_expression `)`
  `interred (` module_expression `)`
`Type:`
  the same as the input type
`Purpose:`
  interreduces a set of polynomials/vectors.
  Input:
  Output: with and the properties
  - ,
  - for all ,
  - in the case of a global ordering (polynomial ring) and `option(redSB);`:
    does not divide m for all monomials m of ,
  - in the case of a local ordering (localization of polynomial ring) and `option(redSB);`:
    if for any ,then .
  Here, denotes the leading term of and .
`Example:`

        ring r=0,(x,y,z),dp;
        ideal i=zx+y3,z+y3,z+xy;
        interred(i);
      ==> _[1]=xz-z
      ==> _[2]=xy+z
      ==> _[3]=y3+xz
        ring R=0,(x,y,z),ds;
        ideal i=zx+y3,z+y3,z+xy;
        interred(i);
      ==> _[1]=z+xy
      ==> _[2]=xy-y3
      ==> _[3]=x2y-y3

See ideal; module; std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.